Android 1.1 virtual devices don't show up as run targets

by Matthias » Wed, 10 Jun 2009 22:47:30 GMT


Sponsored Links
 Hi,

even when setting minSdkVersion to 2, any Android 1.1 virtual device
does not appear in the list of run targets when launching the
emulator.

How come?

Cheers,
Matthias
--~--~---------~--~----~------------~-------~--~----~



Android 1.1 virtual devices don't show up as run targets

by arnouf » Wed, 10 Jun 2009 23:12:38 GMT


 Add a new AVD, when you're launching the Run configuration, on Target
click on AVD Manager button. You can create a new AVD file
automatically.

If it's not visible, try to stop and restart your Eclipse tool.

Regards



--~--~---------~--~----~------------~-------~--~----~


Sponsored Links


Android 1.1 virtual devices don't show up as run targets

by matthias » Wed, 10 Jun 2009 23:40:51 GMT


 Hi,




well, that's what I did to create the 1.1 AVDs. (also created one
using the command line tools, no difference.)


I probably restarted Eclipse 20 times since I created them. Didn't
help :-)

Cheers,
Matthias
--~--~---------~--~----~------------~-------~--~----~



Android 1.1 virtual devices don't show up as run targets

by matthias » Thu, 11 Jun 2009 00:14:46 GMT


 I just received a reply via email; the answer is:

It's not sufficient to set minSdkVersion to 2, one must also go to
project --> settings --> build target and select 1.1 there. That
doesn't really help though, because now the resource compiler breaks
on any imeOptions attributes, even though those are supposed to be
simply ignore by the 1.1 runtime...

In other words, to test your app on different Android versions, you
must set up two different code bases, even though it's not necessary
(because an APK built using 1.5 and having minSdkVersion 2 would also
run on 1.1, unless of course you use 1.5 specific APIs). Great.
--~--~---------~--~----~------------~-------~--~----~



Android 1.1 virtual devices don't show up as run targets

by mp6800 » Thu, 11 Jun 2009 00:45:38 GMT


 Is the project build target set to 1.1 as well?  (Project ->
Properties -> Android -> Project Build Target).  If it's set to 1.5,
you won't see 1.1 virtual devices in the run target list, even if
minSdkVersion is set to "2" in the project.




--~--~---------~--~----~------------~-------~--~----~



Other Threads

1. Modifying manifest on runtime

Hi,
I am writing an application that will run on 2.0 and above. Now, I am
thinking of adding the Data backup feature to the application. Is
there anyway to modify the manifest file to include the metadata only
if the phone is using Froyo(2.2). Ideally, i would like to avoid
creating a separate application for just Froyo.

Any ideas or comments are welcome.
Thanks,
Aravind

-- 

2. OOT mohon doa untuk jogja

Rekan sekalian, dari semalam memantau perkembangan kota kelahiran tercinta, 
baik via xiialive, berita dan telepon, kondisi jogja benar benar darurat, 
radius 20km sudah harus turun. Itu padahal jauh sekali, barusan dapat kabar 
radius 15-16 km satu desa hangus dan itu real.
Mohon bantuan doa dari rekan android sekalian.

*luv this city so much
Sent from my kenwood TR-9130

-- 
===============
"Indonesian Android Community [id-android]"

PING'S mobile
Email: sa...@pings-mobile.com  Ph. (021) 96087100
---------------------
Yopie Ratjoen
Email: yo...@ratjoen.com  Ph. 08977726681
--------------------
Gila original
Email: i...@gilaoriginal.com  Ph. (031) 91555898
--------------------

Aturan Jual/Kloteran ID-Android  http://goo.gl/azW7

3. can not visit the sdcard when add the "android.uid.system"

4. MMS di SGS gak pernah bisa..

5. where can i get official information about android news?

6. accessories Acer Liquid

7. Pre-Installed app and contents provider.